# Generated from shapeable-0.7.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name shapeable

Name: rubygem-%{gem_name}
Version: 0.7.1
Release: 1%{?dist}
Summary: API versioning that promotes convention over configuration
License: MIT
URL: https://github.com/viewthespace/shapeable
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(actionpack)
# BuildRequires: rubygem(activesupport)
# BuildRequires: rubygem(active_model_serializers)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-byebug)
BuildArch: noarch

%description
The premise of this gem is that consumers of your API need versioning
and different shapes of your resources. Without proper thought into versioning
and shaping, your codebase can quickly resolve into a redundant and confusing
state.
This gem tries to solve that problem by allowing the API owner to use simple
conventions -- Accept headers and ActiveModelSerializer namespacing -- to
achieve
controller reuse by controllers delegating resource versioning and shaping
to the serializer level.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.pryrc
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/circle.yml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/shapeable.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.7.1-1
- Initial package
